# Created by pyp2rpm-3.3.4
%global pypi_name smmap

Name:           python-%{pypi_name}
Version:        6.0.0
Release:        %mkrel 3
Summary:        A pure Python implementation of a sliding window memory map manager
Group:          Development/Python
License:        BSD
URL:            https://pypi.org/project/smmap/
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-devel

%description
When reading from many possibly large files in a fashion similar to
random access, it is usually the fastest and most efficient to use memory
maps.Although memory maps have many advantages, they represent a very limited
system resource as every map uses one file descriptor, whose amount is limited
per process. On 32 bit systems, the amount of memory you can have mapped at a
time is...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Obsoletes:      python3-smmap2 < 3.0.1-3
Provides:       python3-smmap2 = %{version}-%{release}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
When reading from many possibly large files in a fashion similar to
random access, it is usually the fastest and most efficient to use memory
maps.Although memory maps have many advantages, they represent a very limited
system resource as every map uses one file descriptor, whose amount is limited
per process. On 32 bit systems, the amount of memory you can have mapped at a
time is...

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files smmap

%check
# Disable checks, tox.ini is missing in tarballs and flake8 test fails.
#tox --skip-missing-interpreters

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md



%changelog
* Sat Mar 01 2025 wally <wally> 6.0.0-3.mga10
+ Revision: 2155934
- rebuild for python3.13

* Sun Dec 17 2023 papoteur <papoteur> 6.0.0-2.mga10
+ Revision: 2018597
- rebuild for python 3.12
- new {paquet[1]}

* Wed Mar 23 2022 umeabot <umeabot> 5.0.0-3.mga9
+ Revision: 1822623
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 neoclust <neoclust> 5.0.0-2.mga9
+ Revision: 1774587
- rebuild for python 3.10

* Fri Feb 04 2022 mrambo3501 <mrambo3501> 5.0.0-1.mga9
+ Revision: 1771355
- version 5.0.0

* Sat Jun 26 2021 wally <wally> 4.0.0-3.mga9
+ Revision: 1732958
- Rebuild for python 3.9

* Fri Jun 04 2021 akien <akien> 4.0.0-2.mga9
+ Revision: 1729668
- Rebuild for Python 3.9
- Disable tests which cannot be run

* Mon Mar 01 2021 guillomovitch <guillomovitch> 4.0.0-1.mga9
+ Revision: 1695271
- new version 4.0.0

* Tue Sep 15 2020 guillomovitch <guillomovitch> 3.0.4-1.mga8
+ Revision: 1626791
- new version 3.0.4

* Thu Apr 09 2020 kekepower <kekepower> 3.0.1-3.mga8
+ Revision: 1565784
- Remove package python3-smmap2
- Do a proper Provides: python3-smmap2

* Thu Apr 09 2020 kekepower <kekepower> 3.0.1-2.mga8
+ Revision: 1565774
- Create python3-smmap2 package
- Obsolete python3-smmap2 < 3
- Create proper Conflicts

* Thu Apr 09 2020 kekepower <kekepower> 3.0.1-1.mga8
+ Revision: 1565701
- imported package python-smmap


* Thu Jul 07 2011 Guillaume Rousse <guillomovitch@mandriva.org> 0.8.1-1mdv2011
+ Revision: 689059
- update to new version 0.8.1

* Fri Jul 01 2011 Guillaume Rousse <guillomovitch@mandriva.org> 0.8.0-1
+ Revision: 688466
- import python-smmap

